<?php
 
 
 

namespace Google\Protobuf\Internal;

use UnexpectedValueException;










class SymbolVisibility
{
    


    const VISIBILITY_UNSET = 0;
    


    const VISIBILITY_LOCAL = 1;
    


    const VISIBILITY_EXPORT = 2;

    private static $valueToName = [
        self::VISIBILITY_UNSET => 'VISIBILITY_UNSET',
        self::VISIBILITY_LOCAL => 'VISIBILITY_LOCAL',
        self::VISIBILITY_EXPORT => 'VISIBILITY_EXPORT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

